import request from '@/utils/request'

// 创建产品
export function createProduct(data) {
  return request({
    url: '/ecw/product/create',
    method: 'post',
    data: data
  })
}

// 创建产品
export function addProduct(data) {
  return request({
    url: '/ecw/product/add',
    method: 'post',
    data: data
  })
}

// 更新产品
export function updateProduct(data) {
  return request({
    url: '/ecw/product/update',
    method: 'put',
    data: data
  })
}
// 获得空运产品的路线价格数量
export function countByProductIdAndTransportType(params){
  return request({
    url:'/ecw/product-price/countByProductIdAndTransportType',
    method:'get',
    params
  })
}
// 删除产品
export function deleteProduct(id) {
  return request({
    url: '/ecw/product/delete?id=' + id,
    method: 'delete'
  })
}

// 获得产品
export function getProduct(id) {
  return request({
    url: '/ecw/product/get?id=' + id,
    method: 'get'
  })
}

// 获得产品列表
export function getProductList(params) {
  return request({
    url: '/ecw/product/list',
    method: 'get',
    params
  })
}

// 返回简洁的商品列表
export function getSimpleProductList(params) {
  return request({
    url: '/ecw/product/simpleList',
    method: 'get',
    params
  })
}

// 获得产品分页
export function getProductPage(query) {
  return request({
    url: '/ecw/product/page',
    method: 'get',
    params: query
  })
}

// 获得产品ID
export function getProductIds(params) {
  return request({
    url: '/ecw/product/simpleIdList',
    params,
    method: 'get'
  })
}

// 导出产品 Excel
export function exportProductExcel(query) {
  return request({
    url: '/ecw/product/export-excel',
    method: 'get',
    params: query
  })
}

// 批量更新产品
export function batchUpdateProduct(data) {
  return request({
    url: '/ecw/product/batchUpdate',
    method: 'put',
    data: data
  })
}

// 计算单种运输方式的商品费用(单个商品也做数组传参)
export function calculationPrice(data){
  return request({
    url: '/product/line/price/calculation',
    method: 'post',
    data: data
  })
}
//新增商品可用优惠信息列表
export function product_coupon_newProd(params){
  return request({
    url:'/product/coupon/newProd/list',
    method:'get',
    params
  })
}
